Bug 509537 - Review Request: perl-CGI-Application-Plugin-ValidateRM - Help validate CGI::Application run modes using Data::FormValidator
Summary: Review Request: perl-CGI-Application-Plugin-ValidateRM - Help validate CGI::A...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Parag AN(पराग)
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-07-03 11:43 UTC by Emmanuel Seyman
Modified: 2009-07-16 07:17 UTC (History)
3 users (show)

Fixed In Version: 2.3-2.fc11
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-07-16 07:17:51 UTC
panemade: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Emmanuel Seyman 2009-07-03 11:43:22 UTC
Spec URL: http://people.parinux.org/~seyman/fedora/perl-CGI-Application-Plugin-ValidateRM/perl-CGI-Application-Plugin-ValidateRM.spec
SRPM URL: http://people.parinux.org/~seyman/fedora/perl-CGI-Application-Plugin-ValidateRM/perl-CGI-Application-Plugin-ValidateRM-2.3-1.fc11.src.rpm
Description:
CGI::Application::Plugin::ValidateRM helps to validate web forms when using
the CGI::Application framework and the Data::FormValidator module.

Comment 1 Parag AN(पराग) 2009-07-06 04:24:24 UTC
Review:
+ package builds in mock (rawhide i586).
koji Build =>http://koji.fedoraproject.org/koji/taskinfo?taskID=1455810
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream url
e5455459cc69eac3f495a002ddc52c1ef0d43414  CGI-Application-Plugin-ValidateRM-2.3.tar.gz

+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available
+ Does owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ make test gave
All tests successful.
Files=3, Tests=20,  1 wallclock secs ( 0.04 usr  0.02 sys +  0.42 cusr  0.06 csys =  0.54 CPU)
+ Package  perl-CGI-Application-Plugin-ValidateRM-2.3-1.fc12.noarch=>
Provides: perl(CGI::Application::Plugin::ValidateRM) = 2.3
Requires: perl(Data::FormValidator) perl(Exporter) perl(HTML::FillInForm) perl(strict) perl(vars)
+ Not a GUI application

APPROVED.

Comment 2 Parag AN(पराग) 2009-07-06 04:27:51 UTC
Ah! directory ownership issue. I am revoking approval. please submit new spec
Change
%attr(644,root,root) %{perl_vendorlib}/CGI/Application/Plugin/ValidateRM.pm
to
%{perl_vendorlib}/*

Comment 3 Emmanuel Seyman 2009-07-06 10:26:39 UTC
(In reply to comment #2)
> Ah! directory ownership issue. I am revoking approval. please submit new spec
> Change
> %attr(644,root,root) %{perl_vendorlib}/CGI/Application/Plugin/ValidateRM.pm
> to
> %{perl_vendorlib}/*

Done. I've also added a chmod line to fix the file's permissions.

Spec URL:
http://people.parinux.org/~seyman/fedora/perl-CGI-Application-Plugin-ValidateRM/perl-CGI-Application-Plugin-ValidateRM.spec
SRPM URL:
http://people.parinux.org/~seyman/fedora/perl-CGI-Application-Plugin-ValidateRM/perl-CGI-Application-Plugin-ValidateRM-2.3-2.fc11.src.rpm

Comment 4 Parag AN(पराग) 2009-07-06 11:02:54 UTC
http://koji.fedoraproject.org/koji/taskinfo?taskID=1456569
APPROVED.

Comment 5 Emmanuel Seyman 2009-07-06 11:32:47 UTC
(In reply to comment #4):
>
> APPROVED.

Thanks, Parag. Requesting CVS.

New Package CVS Request
=======================
Package Name: perl-CGI-Application-Plugin-ValidateRM
Short Description: Help validate CGI::Application run modes using Data::FormValidator
Owners: eseyman
Branches: F-11 F-10
InitialCC: perl-sig

Comment 6 Kevin Fenzi 2009-07-07 04:05:14 UTC
cvs done.

Comment 7 Fedora Update System 2009-07-07 07:10:19 UTC
perl-CGI-Application-Plugin-ValidateRM-2.3-2.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/perl-CGI-Application-Plugin-ValidateRM-2.3-2.fc11

Comment 8 Fedora Update System 2009-07-11 17:02:38 UTC
perl-CGI-Application-Plugin-ValidateRM-2.3-2.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update perl-CGI-Application-Plugin-ValidateRM'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-7445

Comment 9 Fedora Update System 2009-07-16 07:17:46 UTC
perl-CGI-Application-Plugin-ValidateRM-2.3-2.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.